import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2023-2025 Datalayer, Inc.
 * Distributed under the terms of the Modified BSD License.
 */
import { Token } from '@primer/react';
import { ProjectIcon } from '@primer/octicons-react';
import { StudentIcon } from '@datalayer/icons-react';
export const SpaceVariantToken = (props) => {
    const { variant } = props;
    switch (variant) {
        case 'default':
            return _jsx(Token, { text: "default", leadingVisual: ProjectIcon });
        case 'course':
            return _jsx(Token, { text: "course", leadingVisual: StudentIcon });
        default:
            return _jsx(_Fragment, {});
    }
};
export default SpaceVariantToken;
